Overview | Package | Class | Tree | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.stc.eindex.master.search.enterprise
Class EOGetOptions

    java.lang.Object
      com.stc.eindex.master.search.enterprise.EOGetOptions

All Implemented Interfaces:
  java.io.Serializable

public class EOGetOptions
extends java.lang.Object
implements java.io.Serializable

The EOGetOptions class contains the search criteria for a partial retrieval of an enterprise object (method getEnterpriseObject(String euid, EOGetOptions options)). The criteria is set of ePaths by which you specify fields or objects to retrieve as well as any filter conditions on the fields or objects.

See Also:
  Serialized Form

Method Summary
`java.lang.String[]` | `getFieldsToRetrieve()` Retrieves the list of ePaths from an instance of EOGetOptions.
`void` | `setFieldsToRetrieve(java.lang.String[] epaths)` Specifies a set of ePaths that define the system objects and single best records (SBRs) that are retrieved from the master index to create EnterpriseObject objects.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Method Detail

### getFieldsToRetrieve

    public java.lang.String[] getFieldsToRetrieve()

  Retrieves the list of ePaths from an instance of EOGetOptions.

  Parameters:
    None.

  Returns:
    `String[]` - An array of ePaths.
  Throws:
    None.

### setFieldsToRetrieve

    public void setFieldsToRetrieve(java.lang.String[] epaths)

  Specifies a set of ePaths that define the system objects and single best records (SBRs) that are retrieved from the master index to create EnterpriseObject objects. The ePaths must be fully qualified paths starting from Enterprise, and can of be any valid ePath syntax (see the eView Studio User's Guide or the eIndex Single Patient Identifier User's Guide for more information).

  For example, if the ePath specified is {"Enterprise.SystemObject.Person.Address[City=Monrovia]".*, "Enterprise.SystemSBR.Person.Phone.*"}, the enterprise object that is retrieved will include system objects that contain Person and Address objects whose Address.City=Monrovia. The enterprise object will also include an SBR that contains Person and Phone objects. getEnterpriseObject only retrieves those objects that you specify in the list of ePaths.

  Parameters:
    `epaths` - A string array of ePaths.
  Returns:
    `void` - None.
  Throws:
    None.

Overview | Package | Class | Tree | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright 2007 by Sun Microsystems, Inc. All Rights Reserved.